// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItem.hpp"
#include "display/mesh/Mesh.hpp"

namespace Dawn {
  class CubeMeshComponent final : public SceneComponent {
    public:
      std::shared_ptr<Mesh> mesh;

      void onInit() override;
      void onDispose() override;
      void load(const SceneComponentLoadContext &ctx) override;
  };
}